<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Class org.apache.poi.hwpf.usermodel.CharacterProperties (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.apache.poi.hwpf.usermodel.CharacterProperties (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/hwpf/usermodel/CharacterProperties.html"
               title="class in org.apache.poi.hwpf.usermodel">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hwpf/usermodel/class-use/CharacterProperties.html"
               target="_top">Frames</a></li>
        <li><a href="CharacterProperties.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h2 title="Uses of Class org.apache.poi.hwpf.usermodel.CharacterProperties" class="title">Uses of Class<br>org.apache.poi.hwpf.usermodel.CharacterProperties
    </h2>
</div>
<div class="classUseContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a
                        href="../../../../../../org/apache/poi/hwpf/usermodel/CharacterProperties.html"
                        title="class in org.apache.poi.hwpf.usermodel">CharacterProperties</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hwpf.model">org.apache.poi.hwpf.model</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hwpf.sprm">org.apache.poi.hwpf.sprm</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hwpf.usermodel">org.apache.poi.hwpf.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.hwpf.model">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/hwpf/usermodel/CharacterProperties.html"
                                   title="class in org.apache.poi.hwpf.usermodel">CharacterProperties</a> in <a
                            href="../../../../../../org/apache/poi/hwpf/model/package-summary.html">org.apache.poi.hwpf.model</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hwpf/model/package-summary.html">org.apache.poi.hwpf.model</a> that return <a
                                href="../../../../../../org/apache/poi/hwpf/usermodel/CharacterProperties.html"
                                title="class in org.apache.poi.hwpf.usermodel">CharacterProperties</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/CharacterProperties.html"
                                    title="class in org.apache.poi.hwpf.usermodel">CharacterProperties</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">CHPX.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/model/CHPX.html#getCharacterProperties-org.apache.poi.hwpf.model.StyleSheet-short-">getCharacterProperties</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/model/StyleSheet.html"
                                    title="class in org.apache.poi.hwpf.model">StyleSheet</a>&nbsp;ss,
                                short&nbsp;istd)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/CharacterProperties.html"
                                    title="class in org.apache.poi.hwpf.usermodel">CharacterProperties</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">StyleSheet.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/model/StyleSheet.html#getCharacterStyle-int-">getCharacterStyle</a></span>(int&nbsp;styleIndex)</code>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/CharacterProperties.html"
                                    title="class in org.apache.poi.hwpf.usermodel">CharacterProperties</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">StyleDescription.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/model/StyleDescription.html#getCHP--">getCHP</a></span>()</code>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hwpf.sprm">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/hwpf/usermodel/CharacterProperties.html"
                                   title="class in org.apache.poi.hwpf.usermodel">CharacterProperties</a> in <a
                            href="../../../../../../org/apache/poi/hwpf/sprm/package-summary.html">org.apache.poi.hwpf.sprm</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hwpf/sprm/package-summary.html">org.apache.poi.hwpf.sprm</a> that return <a
                                href="../../../../../../org/apache/poi/hwpf/usermodel/CharacterProperties.html"
                                title="class in org.apache.poi.hwpf.usermodel">CharacterProperties</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/CharacterProperties.html"
                                    title="class in org.apache.poi.hwpf.usermodel">CharacterProperties</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">CharacterSprmUncompressor.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/sprm/CharacterSprmUncompressor.html#uncompressCHP-org.apache.poi.hwpf.usermodel.CharacterProperties-byte:A-int-">uncompressCHP</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/CharacterProperties.html"
                                    title="class in org.apache.poi.hwpf.usermodel">CharacterProperties</a>&nbsp;parent,
                                byte[]&nbsp;grpprl,
                                int&nbsp;offset)</code>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/CharacterProperties.html"
                                    title="class in org.apache.poi.hwpf.usermodel">CharacterProperties</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">CharacterSprmUncompressor.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/sprm/CharacterSprmUncompressor.html#uncompressCHP-org.apache.poi.hwpf.model.StyleSheet-org.apache.poi.hwpf.usermodel.CharacterProperties-byte:A-int-">uncompressCHP</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/model/StyleSheet.html"
                                    title="class in org.apache.poi.hwpf.model">StyleSheet</a>&nbsp;styleSheet,
                                <a href="../../../../../../org/apache/poi/hwpf/usermodel/CharacterProperties.html"
                                   title="class in org.apache.poi.hwpf.usermodel">CharacterProperties</a>&nbsp;parStyle,
                                byte[]&nbsp;grpprl,
                                int&nbsp;offset)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hwpf/sprm/package-summary.html">org.apache.poi.hwpf.sprm</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/hwpf/usermodel/CharacterProperties.html"
                                title="class in org.apache.poi.hwpf.usermodel">CharacterProperties</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>static byte[]</code></td>
                            <td class="colLast"><span class="typeNameLabel">CharacterSprmCompressor.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/sprm/CharacterSprmCompressor.html#compressCharacterProperty-org.apache.poi.hwpf.usermodel.CharacterProperties-org.apache.poi.hwpf.usermodel.CharacterProperties-">compressCharacterProperty</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/CharacterProperties.html"
                                    title="class in org.apache.poi.hwpf.usermodel">CharacterProperties</a>&nbsp;newCHP,
                                <a href="../../../../../../org/apache/poi/hwpf/usermodel/CharacterProperties.html"
                                   title="class in org.apache.poi.hwpf.usermodel">CharacterProperties</a>&nbsp;oldCHP)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/CharacterProperties.html"
                                    title="class in org.apache.poi.hwpf.usermodel">CharacterProperties</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">CharacterSprmUncompressor.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/sprm/CharacterSprmUncompressor.html#uncompressCHP-org.apache.poi.hwpf.usermodel.CharacterProperties-byte:A-int-">uncompressCHP</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/CharacterProperties.html"
                                    title="class in org.apache.poi.hwpf.usermodel">CharacterProperties</a>&nbsp;parent,
                                byte[]&nbsp;grpprl,
                                int&nbsp;offset)</code>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/CharacterProperties.html"
                                    title="class in org.apache.poi.hwpf.usermodel">CharacterProperties</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">CharacterSprmUncompressor.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/sprm/CharacterSprmUncompressor.html#uncompressCHP-org.apache.poi.hwpf.model.StyleSheet-org.apache.poi.hwpf.usermodel.CharacterProperties-byte:A-int-">uncompressCHP</a></span>(<a
                                    href="../../../../../../org/apache/poi/hwpf/model/StyleSheet.html"
                                    title="class in org.apache.poi.hwpf.model">StyleSheet</a>&nbsp;styleSheet,
                                <a href="../../../../../../org/apache/poi/hwpf/usermodel/CharacterProperties.html"
                                   title="class in org.apache.poi.hwpf.usermodel">CharacterProperties</a>&nbsp;parStyle,
                                byte[]&nbsp;grpprl,
                                int&nbsp;offset)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hwpf.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/hwpf/usermodel/CharacterProperties.html"
                                   title="class in org.apache.poi.hwpf.usermodel">CharacterProperties</a> in <a
                            href="../../../../../../org/apache/poi/hwpf/usermodel/package-summary.html">org.apache.poi.hwpf.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing fields, and an explanation">
                        <caption><span>Fields in <a
                                href="../../../../../../org/apache/poi/hwpf/usermodel/package-summary.html">org.apache.poi.hwpf.usermodel</a> declared as <a
                                href="../../../../../../org/apache/poi/hwpf/usermodel/CharacterProperties.html"
                                title="class in org.apache.poi.hwpf.usermodel">CharacterProperties</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Field and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected <a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/CharacterProperties.html"
                                    title="class in org.apache.poi.hwpf.usermodel">CharacterProperties</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">CharacterRun.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/CharacterRun.html#Z:Z_props">_props</a></span></code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hwpf/usermodel/package-summary.html">org.apache.poi.hwpf.usermodel</a> that return <a
                                href="../../../../../../org/apache/poi/hwpf/usermodel/CharacterProperties.html"
                                title="class in org.apache.poi.hwpf.usermodel">CharacterProperties</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/CharacterProperties.html"
                                    title="class in org.apache.poi.hwpf.usermodel">CharacterProperties</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">CharacterProperties.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/CharacterProperties.html#clone--">clone</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hwpf/usermodel/package-summary.html">org.apache.poi.hwpf.usermodel</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/hwpf/usermodel/CharacterProperties.html"
                                title="class in org.apache.poi.hwpf.usermodel">CharacterProperties</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HWPFList.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwpf/usermodel/HWPFList.html#setLevelNumberProperties-int-org.apache.poi.hwpf.usermodel.CharacterProperties-">setLevelNumberProperties</a></span>(int&nbsp;level,
                                <a href="../../../../../../org/apache/poi/hwpf/usermodel/CharacterProperties.html"
                                   title="class in org.apache.poi.hwpf.usermodel">CharacterProperties</a>&nbsp;chp)</code>
                                <div class="block">Sets the character properties of the list numbers.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/hwpf/usermodel/CharacterProperties.html"
               title="class in org.apache.poi.hwpf.usermodel">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hwpf/usermodel/class-use/CharacterProperties.html"
               target="_top">Frames</a></li>
        <li><a href="CharacterProperties.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
